org.deidentifier.arx.risk

## Class HIPAAConstants

- java.lang.Object
- - org.deidentifier.arx.risk.HIPAAConstants

Direct Known Subclasses:
  HIPAAConstantsUS

    public abstract class HIPAAConstants
    extends java.lang.Object

Utility class providing access to important constants for finding HIPAA identifiers.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`HIPAAConstants()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.List<org.deidentifier.arx.risk.HIPAAMatcherAttributeName>` `getNameMatchers(java.lang.String category)` Returns all matchers for the given category
`static HIPAAConstants` `getUSData()` Returns constants for the US
`boolean` `isCity(java.lang.String value)` Cities
`boolean` `isFirstname(java.lang.String value)` First names
`boolean` `isLastname(java.lang.String value)` Last names
`boolean` `isState(java.lang.String value)` States
`boolean` `isZipcode(java.lang.String value)` Zip codes

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HIPAAConstants

    public HIPAAConstants()

### Method Detail

#### getUSData

    public static HIPAAConstants getUSData()

Returns constants for the US

Returns:

#### getNameMatchers

    public java.util.List<org.deidentifier.arx.risk.HIPAAMatcherAttributeName> getNameMatchers(java.lang.String category)

Returns all matchers for the given category

Parameters:
  `category` -
Returns:

#### isCity

    public boolean isCity(java.lang.String value)

Cities

Parameters:
  `value` -
Returns:

#### isFirstname

    public boolean isFirstname(java.lang.String value)

First names

Parameters:
  `value` -
Returns:

#### isLastname

    public boolean isLastname(java.lang.String value)

Last names

Parameters:
  `value` -
Returns:

#### isState

    public boolean isState(java.lang.String value)

States

Parameters:
  `value` -
Returns:

#### isZipcode

    public boolean isZipcode(java.lang.String value)

Zip codes

Parameters:
  `value` -
Returns: